﻿Imports Infragistics.Win.UltraWinToolbars

Public Class MainForm
    Private Sub MainForm_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Me.IsMdiContainer = True
        Me.WindowState = FormWindowState.Maximized

        Me.UltraToolbarsManager_Main.MdiMergeable = True
        Me.UltraToolbarsManager_Main.Office2007UICompatibility = True
    End Sub

    Protected Overrides Sub OnMdiChildActivate(e As System.EventArgs)
        MyBase.OnMdiChildActivate(e)
        Dim activeChildManager As UltraToolbarsManager = Me.UltraToolbarsManager_Main.ActiveMdiChildManager
        If (activeChildManager IsNot Nothing) Then
            Dim childTab As RibbonTab = activeChildManager.Ribbon.Tabs(0)
            Dim parentTab As RibbonTab = childTab.AttachedParentTab
            If (parentTab IsNot Nothing) Then
                Me.UltraToolbarsManager_Main.Ribbon.SelectedTab = parentTab
            Else
            End If
        Else
        End If
    End Sub

    Private Sub UltraToolbarsManager_Main_ToolClick(sender As Object, e As ToolClickEventArgs) Handles UltraToolbarsManager_Main.ToolClick
        Select Case e.Tool.Key
            Case "Main Form Button 1"
                Dim first = New FirstChild()
                first.MdiParent = Me
                first.Show()
                Exit Select
            Case "Main Form Button 2"
                Dim second = New SecondChild()
                second.MdiParent = Me
                second.Show()
                Exit Select
            Case "Main Form Button 3"
                Dim third = New ThirdChild()
                third.MdiParent = Me
                third.Show()
                Exit Select
        End Select
    End Sub
End Class
